package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Bod;
import com.brilliance.isc.bo.Bot;
import com.brilliance.isc.bo.Srm;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bodgrp extends AbstractCommonVo {

    private Bod rec;

    private Bot blk;

    private Boacbs cbs;

    private PtsptaVo dre;

    private PtsptaVo drr;

    private PtsptaVo col;

    private PtsptaVo rmi;

    private PtsptaVo co2;

    private PtsptaVo rsm;

    private PtsptaVo oap;

    private PtsptaVo tp0;

    private PtsptaVo tp1;

    private PtsptaVo tp2;

    private PtsptaVo tp3;

    private PtsptaVo tp4;

    private PtsptaVo tp5;

    private PtsptaVo tp6;

    private PtsptaVo tp7;

    private PtsptaVo tp8;

    private PtsptaVo tp9;

    private Srm srm;

    // 来报时有该字段
    private String mtcur;

    private BigDecimal mtamt;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Bod();
        }
        if (blk == null) {
            blk = new Bot();
        }
        if (cbs == null) {
            cbs = new Boacbs();
        }
        cbs.reset();
        if (dre == null) {
            dre = new PtsptaVo();
        }
        dre.reset();
        if (drr == null) {
            drr = new PtsptaVo();
        }
        drr.reset();
        if (col == null) {
            col = new PtsptaVo();
        }
        col.reset();
        if (rmi == null) {
            rmi = new PtsptaVo();
        }
        rmi.reset();
        if (co2 == null) {
            co2 = new PtsptaVo();
        }
        co2.reset();
        if (rsm == null) {
            rsm = new PtsptaVo();
        }
        rsm.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (tp0 == null) {
            tp0 = new PtsptaVo();
        }
        tp0.reset();
        if (tp1 == null) {
            tp1 = new PtsptaVo();
        }
        tp1.reset();
        if (tp2 == null) {
            tp2 = new PtsptaVo();
        }
        tp2.reset();
        if (tp3 == null) {
            tp3 = new PtsptaVo();
        }
        tp3.reset();
        if (tp4 == null) {
            tp4 = new PtsptaVo();
        }
        tp4.reset();
        if (tp5 == null) {
            tp5 = new PtsptaVo();
        }
        tp5.reset();
        if (tp6 == null) {
            tp6 = new PtsptaVo();
        }
        tp6.reset();
        if (tp7 == null) {
            tp7 = new PtsptaVo();
        }
        tp7.reset();
        if (tp8 == null) {
            tp8 = new PtsptaVo();
        }
        tp8.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();
        if (srm == null) {
            srm = new Srm();
        }
    }
}
